Page 1 sur 1

MAJ GLIBC 2.3.2 vers 2.3.5 sous debian 3.1r2

MessagePosté: 15 Mai 2006, 22:53
de xander09
Bonjour,

J'ai installé une version de linux Debian 3.1r2 sur mon pc et je viens de m'aperçevoir que le GLIBC est en version 2.3.2 alors qu'il me le faut en 2.3.5 afin de faire tourner certains programmes.

Je ne sais absolument pas comment mettre à jour ce GLIBC. J'ai pourtant deja vu des version en 2.3.5 voir meme 2.3.6. C'est donc possible.

Auriez-vous la solution s'il vous plait ?

Merci d'avance.
@ bientôt

MessagePosté: 16 Mai 2006, 09:57
de Jim Rakoto
Salut


Voir sur le site Debian > paquets
un version testing en 2.3.6
ICI
Clic pour télécharger > ouvrir fichier > Kpackage va l'installer et vérifier les dépendances. Si tout est OK, le résultat =0 sion signalera le problème

A+

MessagePosté: 16 Mai 2006, 12:54
de xander09
Bonjour,

Merci pour ton aide.

N'ayant pas le mode graphique d'installé j'ai fait autrement et ça fonctionne tres bien.

voici ma méthode pour les intéréssé :

J'ai changé mon source.list (/etc/apt/source.list) :

Code: Tout sélectionner
## depots officiels
deb http://ftp.fr.debian.org/debian/ sid main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ sid main non-free contrib
#deb-src http://non-us.debian.org/debian-non-US sid/non-US main contrib non-free

## depot marillat : mplayer, mencode, transcode, flashplayer-mozilla
#deb-src http://perso.wanadoo.fr/debian/ unstable main

#dri et savage
#deb http://dri.freedesktop.org/~daenzer/debian/dri-trunk-sid/ ./

#bootsplash
deb http://www.bootsplash.de/files/debian unstable main
deb-src http://www.bootsplash.de/files/debian unstable main

#php5
#deb http://packages.dotdeb.org ./

#kalyxo : amarok et plein de trucs sympa voir : http://archive.kalyxo.org/
#deb http://archive.kalyxo.org/ staging main
#deb http://archive.kalyxo.org/ experimental main


#LEIF : programme pour utiliser mon t610
deb http://debian.severin.olloz.net/ ./


J'ai fait un apt-get update

Puis un apt-get dist-upgrade

Et enfin un apt-get update

Et voilà, tout fonctionne très bien et mon GLIBC est maintenant en 2.3.6-7

Encore merci pour ton aide ;)
@ +

MessagePosté: 17 Mai 2006, 16:40
de piratebab
Bonjour,
interessant ton sources.list.
Tu l'as bati comment ? Il est trés accés multimédia, mais les dépots officiels debian contiennent la même chose.
Les dépots autres que les officiels que tu as ajouté debian sont ils sûrs ?

Pour tes commandes, tu aurais du faire dans l'ordre:
#apt-get update (pour mettre à jour ta liste de softs disponibles)
#apt-get upgrade
#apt-get dist-upgrade

inutile de refaire un update à la fin, les dépots ne sont pas mis à jour toutes les minutes!

MessagePosté: 17 Mai 2006, 16:52
de xander09
Bonjour,

Je l'ai batîs via des forums qui parler de mon probleme et eux l'avaient réalisés avec www.apt-get.org

Moi je l'ai mis à jour car il y a certains liens que je n'ai pas besoin, sinon là il est en fonction ;)
Et sinon, d'après ce que j'ai pu lire plusieurs fois, ces sources sont sûres.

Merci pour ton ordres des commandes, je testerais comme ça la prochaine fois ;)

@ +